package Drawnings;

import java.awt.*;

public class DrawningTriangleWheels implements IDrawningWheels {
    private CountWheels countWheels;

    @Override
    public void setCountWheels(int numWheels) {
        for (CountWheels value : CountWheels.values()) {
            if (value.getCountWheels() == numWheels) {
                countWheels = value;
                return;
            }
        }
    }

    @Override
    public CountWheels getNumberOfWheels() {
        return countWheels;
    }

    @Override
    public void DrawCleaningCarWheels(Graphics g, Color bodyColor, Color additionalColor, int startPosX, int startPosY) {
        Graphics2D g2d = (Graphics2D) g;
        for (int i = 0; i < countWheels.getCountWheels(); i++) {
            g2d.setColor(bodyColor);
            int[] xPoints = {startPosX + 10 + 40 * i, startPosX + 20 + 40 * i, startPosX + 30 + 40 * i };
            int[] yPoints = {startPosY + 51, startPosY + 50 + 20, startPosY + 51};
            g2d.fillPolygon(xPoints, yPoints, 3);
            g2d.drawPolygon(xPoints, yPoints, 3);
            g2d.setColor(additionalColor);
            int[] xPoints2 = {startPosX + 13 + 40 * i, startPosX + 20 + 40 * i, startPosX + 27 + 40 * i };
            int[] yPoints2 = {startPosY + 53, startPosY + 50 + 15, startPosY + 53};
            g2d.fillPolygon(xPoints2, yPoints2, 3);
            g2d.drawPolygon(xPoints2, yPoints2, 3);
            g2d.drawPolyline(xPoints, yPoints, 3);

        }
    }
}
